//: Conjunto.h
// Handle classes
#ifndef CONJUNTO_H
#define CONJUNTO_H

struct elemento
  {  int valor;     // Valor del elemento
     elemento *nxt; // Siguiente elemento
  };

class Conjunto{
	elemento *inicial;
	elemento *actual;
	elemento *final;
public:
	Conjunto(); // Constructor de la clase
	int add(int); // Añade un nuevo elemento. Devuelve 0 si ya existía.
	int remove(int); // Elimina el elemento indicado. Devuelve 0 si no existía.
	void inicio(); // Prepara el conjunto para comenzar a recorrer sus elementos
	int haySiguiente(); // Devuelve 1 si hay elemento siguiente y 0 si no 
	int siguiente(); // Devuelve el valor del siguiente elemento y pasa a ese elemento
	int pertenece(int); // Devuelve 1 si el elemento está en el conjunto y 0 si no
};
#endif // CONJUNTO_H ///:~


