//: Relacion.h
// Handle classes
#ifndef RELACION_H
#define RELACION_H

struct par
  {  int a,b;     // Definimos el par (a,b)
     par *nxt; // Siguiente par
  };  

class Relacion{
	par *inicial;
	par *actual;
	par *final;
	void inicio();
	int haySiguiente();
	int siguiente();
public:
	Relacion(); // Constructor de la clase
	int add(int a,int b); // Aade un nuevo par. Devuelve 0 si ya existia.
	int remove(int a,int b); // Elimina el par indicado. Devuelve 0 si no existia.
	int estanRelacionados(int a,int b); // Devuelve 1 si aRb y 0 si no
};
#endif // Relacion_H ///:~

