#include "conjunto.h"
#include "relacion.h"
#include <iostream.h>
//using namespace std;

// Funcin que devuelve el cardinal de un conjunto
int cardinal(Conjunto& A){ // !!!Los conjuntos se pueden modificar siempre!!!
  int contador=0;
  A.inicio(); // Lo recorremos otra vez
  while(A.haySiguiente()){
       A.siguiente();
       contador++;
  }
  return contador;
}

int main(){
     int option,tmp,tmpA,tmpB;
     Conjunto A,B;  // Definimos A como conjunto de enteros
     Relacion R;
     
     // Ejemplo de aadir elementos
     A.add(3); // Añadimos el 3, el 5 y el 7
     A.add(5);
     A.add(5); // No se añade, porque ya pertenecía
     A.add(7);
     A.inicio(); // Comenzamos a recorrer el conjunto 
     cout << "Elemento 1: " << A.siguiente() << endl; // Primer elemento
     cout << "Elemento 2: " << A.siguiente() << endl; // Segundo elemento
     cout << "Elemento 3: " << A.siguiente() << endl; // Tercer elemento
     
     // Pertenencia
     cout << A.pertenece(5) << endl;  // 5 pertenece al conjunto
     cout << A.pertenece(6) << endl;  // 6 no pertenece al conjunto
     
     // Ejemplo de eliminar elementos y de recorrer un conjunto
     cout << "Conjunto A" << endl;
     A.remove(7); // Eliminamos el 7
     A.add(9);  // Añadimos el 9
     A.inicio(); // Lo recorremos otra vez
     while(A.haySiguiente()){
       tmp=A.siguiente();
       cout << tmp << endl;
       B.add(tmp);   // Lo copiamos a B
     }
     cout << "A tiene " << cardinal(A) << " elementos" << endl;
     
     // Modificamos un poquito B
     cout << "Conjunto B" << endl;
     B.add(1);
     B.add(2);
     B.inicio();
     while(B.haySiguiente()){
       tmp=B.siguiente();
       cout << tmp << endl;
     }
     cout << "B tiene " << cardinal(B) << " elementos" << endl;
     
     // Creamos una relacin (ser mayor)
     A.inicio();
     while(A.haySiguiente()){
       tmpA=A.siguiente();
       B.inicio();
       while(B.haySiguiente()){
         tmpB=B.siguiente();
	 if(tmpA>tmpB) R.add(tmpA,tmpB);
       }
     }
     
     // Recorremos la relacin
     A.inicio();
     while(A.haySiguiente()){
       tmpA=A.siguiente();
       B.inicio();
       while(B.haySiguiente()){
         tmpB=B.siguiente();
	 if(R.estanRelacionados(tmpA,tmpB)) cout << tmpA << "R" << tmpB << endl;
       }
     }
     
 }
 
